## unnethack 3.5.3-21

=== Makefile ===
#	UnNetHack Makefile.
#       Makefile.  Generated from Makefile.top by configure.
#	SCCS Id: @(#)Makefile.top	3.4	1995/01/05


srcdir=.

# newer makes predefine $(MAKE) to 'make' and do smarter processing of
# recursive make calls if $(MAKE) is used
# these makes allow $(MAKE) to be overridden by the environment if someone
# wants to (or has to) use something other than the standard make, so we do
# not want to unconditionally set $(MAKE) here
#
# unfortunately, some older makes do not predefine $(MAKE); if you have one of
# these, uncomment the following line
# (you will know that you have one if you get complaints about unable to
# execute things like 'data' and 'rumors')
# MAKE = make

# make UnNetHack

PREFIX   = /opt/unnethack
prefix   = /opt/unnethack

datarootdir = ${prefix}/share
datadir = ${datarootdir}
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
localstatedir = ${prefix}/var
mkdir_p = mkdir -p --
bindir = ${exec_prefix}/bin

EXEEXT	 = 
SCRIPT   = unnethack
GAME     = unnethack$(EXEEXT)
GAMEUID  = games
GAMEGRP  = bin

# Permissions - some places use setgid instead of setuid, for instance
# See also the option "SECURE" in include/config.h
GAMEPERM = 04755
FILEPERM = 0644
EXEPERM  = 0755
DIRPERM  = 0755
VARFILEPERM = 0644
VARDIRPERM  = 0755

# GAMEDIR also appears in config.h as "HACKDIR".
# VARDIR may also appear in unixconf.h as "VAR_PLAYGROUND" else GAMEDIR
#
# note that 'make install' believes in creating nice tidy directories for
# installation, free of debris from previous UnNetHack versions --
# therefore there should not be anything in GAMEDIR that you want to keep
# (if there is, you'll have to do the installation by hand or modify the
# instructions)
# These must agree with the definitions in unixconf.h

# Defs. for non file areas support.
GAMEDIR = ${prefix}/var/unnethack
VARDIR = ${prefix}/var/unnethack
FILE_AREA_VAR = ${prefix}/var/unnethack
FILE_AREA_SAVE = ${prefix}/var/unnethack/saves
FILE_AREA_SHARE = ${datarootdir}/unnethack
FILE_AREA_UNSHARE = ${datarootdir}/unnethack
FILE_AREA_DOC = ${datarootdir}/doc/${PACKAGE_TARNAME}/unnethack
FILE_AREA_BONES = ${prefix}/var/unnethack/bones
FILE_AREA_LEVL = ${prefix}/var/unnethack/level
SHELLDIR = $(bindir)

# Shareable (architecture independent) data files which are not candidates
# for inclusion in DLB libraries (ND) and which are (D). Port specific files
# per discussions in Install.X11 and Install.Qt
CNF_SHARE_QTND = x11tiles rip.xpm nhsplash.xpm
CNF_SHARE_X11ND = x11tiles UnNetHack.ad pet_mark.xbm
#CNF_SHARE_X11ND = x11tiles UnNetHack.ad pet_mark.xbm
# CNF_SHARE_X11ND = x11tiles UnNetHack.ad pet_mark.xbm rip.xpm
# for Atari/Gem
CNF_SHARE_GEMND = nh16.img title.img GEM_RSC.RSC rip.img
# for BeOS
CNF_SHARE_BEND = beostiles
# for SDL/GL window port
CNF_SHARE_GLND = gltile16.png gltile32.png gltile64.png gllogo.png glrip.png \
                 glfont8.png glfont14.png glfont20.png glfont22.png
# for Gnome
CNF_SHARE_GNOMEND = x11tiles pet_mark.xbm rip.xpm mapbg.xpm
# for Proxy
CNF_SHARE_PROXYND = gltile64.png gltile32.png gltile16.png \
	gltile64.map gltile32.map gltile16.map

# CNF_SHARE_DATND = $(CNF_SHARE_X11ND)
# CNF_SHARE_DATND = $(CNF_SHARE_QTND)
# CNF_SHARE_DATND = $(CNF_SHARE_GLND)
# CNF_SHARE_DATND = $(CNF_SHARE_PROXYND)
CNF_SHARE_DATND = 

CNF_SHARE_DATD = data oracles options quest.dat rumors
CNF_SHARE_DAT = $(CNF_SHARE_DATD) $(CNF_SHARE_DATND)

# Some versions of make use the SHELL environment variable as the shell
# for running commands.  We need this to be a Bourne shell.
# SHELL = /bin/sh
# for Atari
# SHELL=E:/GEMINI2/MUPFEL.TTP

# Commands for setting the owner and group on files during installation.
# Some systems fail with one or the other when installing over NFS or for
# other permission-related reasons.  If that happens, you may want to set the
# command to "true", which is a no-op. Note that disabling chown or chgrp
# will only work if setuid (or setgid) behavior is not desired or required.
CHOWN = chown
CHGRP = chgrp
CHMOD = chmod

#
# end of configuration
#

DATHELP = help hh cmdhelp history opthelp wizhelp

SPEC_LEVS = asmod-?.lev baalz-?.lev bigrm-*.lev blkmar.lev castle-?.lev fakewiz?.lev \
	juiblex.lev knox-?.lev town-?.lev \
	medusa-?.lev minend-?.lev minefill.lev minetn-?.lev \
	oracle.lev orcus-?.lev sanctum.lev soko?-*.lev \
	hellfill.lev nymph.lev \
	tower?.lev valley-?.lev wizard?.lev heck-?-?.lev \
	astral.lev air.lev earth.lev fire.lev water.lev
QUEST_LEVS = ???-goal.lev ???-fil?.lev ???-loca.lev ???-strt.lev

SHARE_DATNODLB = $(CNF_SHARE_DATND)
UNSHARE_DATNODLB =
SHARE_DATDLB = $(DATHELP) $(CNF_SHARE_DATD)
UNSHARE_DATDLB = dungeon $(SPEC_LEVS) $(QUEST_LEVS)
SHARE_DAT = $(SHARE_DATNODLB) $(SHARE_DATDLB)
UNSHARE_DAT = $(UNSHARE_DATNODLB) $(UNSHARE_DATDLB)


$(GAME): include/autoconf_paths.h
	( cd src ; $(MAKE) )

all:	$(GAME) recover$(EXEEXT)  $(CNF_SHARE_DAT) dungeon spec_levs check-dlb
	@echo "Done."

# Note: many of the dependencies below are here to allow parallel make
# to generate valid output

Guidebook:
	( cd doc ; $(MAKE) Guidebook )

manpages:
	( cd doc ; $(MAKE) manpages )

data: $(GAME)
	( cd dat ; $(MAKE) data )

rumors: $(GAME)
	( cd dat ; $(MAKE) rumors )

oracles: $(GAME)
	( cd dat ; $(MAKE) oracles )

#	Note: options should have already been made with make, but...
options: $(GAME)
	( cd dat ; $(MAKE) options )

quest.dat: $(GAME)
	( cd dat ; $(MAKE) quest.dat )

spec_levs: $(GAME)
	( cd util ; $(MAKE) lev_comp )
	( cd dat ; $(MAKE) spec_levs )
	( cd dat ; $(MAKE) quest_levs )

dungeon: $(GAME)
	( cd util ; $(MAKE) dgn_comp )
	( cd dat ; $(MAKE) dungeon )

Guidebook.txt:
	( cd doc; $(MAKE) Guidebook.txt )

tiles.bmp: $(GAME)
	( cd dat ; $(MAKE) tiles.bmp )

x11tiles: $(GAME)
	( cd util ; $(MAKE) tile2x11 )
	( cd dat ; $(MAKE) x11tiles )

beostiles: $(GAME)
	( cd util ; $(MAKE) tile2beos )
	( cd dat ; $(MAKE) beostiles )

UnNetHack.ad: $(GAME)
	( cd dat ; $(MAKE) UnNetHack.ad )

pet_mark.xbm:
	( cd dat ; $(MAKE) pet_mark.xbm )

rip.xpm:
	( cd dat ; $(MAKE) rip.xpm )

mapbg.xpm:
	(cd dat ; $(MAKE) mapbg.xpm )

nhsplash.xpm:
	( cd dat ; $(MAKE) nhsplash.xpm )

nh16.img: $(GAME)
	( cd util ; $(MAKE) tile2img.ttp )
	( cd dat ; $(MAKE) nh16.img )

rip.img:
	( cd util ; $(MAKE) xpm2img.ttp )
	( cd dat ; $(MAKE) rip.img )
GEM_RSC.RSC:
	( cd dat ; $(MAKE) GEM_RSC.RSC )

title.img:
	( cd dat ; $(MAKE) title.img )

check-dlb: options
	@if egrep -s librarian dat/options ; then $(MAKE) dlb ; else true ; fi

dlb: spec_levs
	( cd util ; $(MAKE) dlb )
	( cd dat ; ../util/dlb cf nhdat $(SHARE_DATDLB) $(UNSHARE_DATDLB) )

# recover can be used when INSURANCE is defined in include/config.h
# and the checkpoint option is true
recover$(EXEEXT): $(GAME)
	( cd util ; $(MAKE) recover$(EXEEXT) )

dofiles:
	target=`sed -n					\
		-e '/librarian/{' 			\
		-e	's/.*/dlb/p' 			\
		-e	'q' 				\
		-e '}' 					\
	  	-e '$$s/.*/nodlb/p' < dat/options` ;	\
	$(MAKE) dofiles-$${target-nodlb}
	(cd src; cp $(GAME)  $(DESTDIR)$(FILE_AREA_UNSHARE))
	#cp $(srcdir)/sys/winnt/defaults.nh $(DESTDIR)$(FILE_AREA_UNSHARE)
	cp util/recover$(EXEEXT) $(DESTDIR)$(FILE_AREA_UNSHARE)
	if test -f $(srcdir)/doc/Guidebook.txt ; then \
		cp $(srcdir)/doc/Guidebook.txt $(DESTDIR)$(FILE_AREA_DOC); \
	fi
	cp $(srcdir)/dat/license $(DESTDIR)$(FILE_AREA_DOC)
	-rm -f $(DESTDIR)$(SHELLDIR)/$(SCRIPT)
	sed -e 's;/usr/games/lib/nethackdir;$(FILE_AREA_UNSHARE);' \
		-e 's;HACKDIR/nethack;HACKDIR/$(GAME);' \
		< $(srcdir)/sys/unix/nethack.sh \
		> $(DESTDIR)$(SHELLDIR)/$(SCRIPT)
# set up their permissions
	-( cd $(DESTDIR)$(FILE_AREA_UNSHARE) ; $(CHOWN) $(GAMEUID) $(GAME) recover$(EXEEXT) ; \
			$(CHGRP) $(GAMEGRP) $(GAME) recover$(EXEEXT) )
	chmod $(GAMEPERM) $(DESTDIR)$(FILE_AREA_UNSHARE)/$(GAME)
	chmod $(EXEPERM) $(DESTDIR)$(FILE_AREA_UNSHARE)/recover$(EXEEXT)
	-( cd $(DESTDIR)$(FILE_AREA_DOC) ; \
			$(CHOWN) $(GAMEUID) license  ; \
			$(CHGRP) $(GAMEGRP) license  ; \
			chmod $(FILEPERM) license  )
	-$(CHOWN) $(GAMEUID) $(DESTDIR)$(SHELLDIR)/$(SCRIPT)
	$(CHGRP) $(GAMEGRP) $(DESTDIR)$(SHELLDIR)/$(SCRIPT)
	chmod $(EXEPERM) $(DESTDIR)$(SHELLDIR)/$(SCRIPT)

dofiles-dlb: check-dlb
	( cd dat ; cp nhdat $(SHARE_DATNODLB) $(DESTDIR)$(FILE_AREA_SHARE) )
# set up their permissions
	-( cd $(DESTDIR)$(FILE_AREA_SHARE) ; \
			$(CHOWN) $(GAMEUID) nhdat $(SHARE_DATNODLB) ; \
			$(CHGRP) $(GAMEGRP) nhdat $(SHARE_DATNODLB) ; \
			chmod $(FILEPERM) nhdat $(SHARE_DATNODLB) )

dofiles-nodlb:
# copy over the game files
	( cd dat ; cp $(SHARE_DAT) $(DESTDIR)$(FILE_AREA_SHARE) )
	( cd dat ; cp $(UNSHARE_DAT) $(DESTDIR)$(FILE_AREA_UNSHARE) )
# set up their permissions
	-( cd $(DESTDIR)$(FILE_AREA_SHARE) ; $(CHOWN) $(GAMEUID) $(SHARE_DAT) ; \
			$(CHGRP) $(GAMEGRP) $(SHARE_DAT) ; \
			chmod $(FILEPERM) $(SHARE_DAT) )
	-( cd $(DESTDIR)$(FILE_AREA_UNSHARE) ; $(CHOWN) $(GAMEUID) $(UNSHARE_DAT) ; \
			$(CHGRP) $(GAMEGRP) $(UNSHARE_DAT) ; \
			chmod $(FILEPERM) $(UNSHARE_DAT) )

update: $(GAME) recover$(EXEEXT) $(CNF_SHARE_DAT) dungeon spec_levs 
#	(don't yank the old version out from under people who're playing it)
	-mv $(DESTDIR)$(FILE_AREA_UNSHARE)/$(GAME) $(DESTDIR)$(FILE_AREA_UNSHARE)/$(GAME).old
#	quest.dat is also kept open and has the same problems over NFS
#	(quest.dat may be inside nhushare if dlb is in use)
	-mv $(DESTDIR)$(FILE_AREA_UNSHARE)/quest.dat $(DESTDIR)$(FILE_AREA_UNSHARE)/quest.dat.old
	-mv $(DESTDIR)$(FILE_AREA_UNSHARE)/nhushare $(DESTDIR)$(FILE_AREA_UNSHARE)/nhushare.old
# set up new versions of the game files
	( $(MAKE) dofiles )
# touch time-sensitive files
	-touch -c $(DESTDIR)$(FILE_AREA_BONES)/bones* $(DESTDIR)$(FILE_AREA_VAR)/?lock*
	-touch -c $(DESTDIR)$(FILE_AREA_VAR)/wizard* $(DESTDIR)$(FILE_AREA_SAVE)/*
	touch $(DESTDIR)$(FILE_AREA_VAR)/perm $(DESTDIR)$(FILE_AREA_VAR)/record
# and a reminder
	@echo You may also want to install the man pages via the doc Makefile.

install: $(GAME) recover$(EXEEXT) $(CNF_SHARE_DAT) dungeon spec_levs 
# set up the directories
# not all mkdirs have -p; those that don't will create a -p directory
	-mkdir -p $(DESTDIR)$(GAMEDIR) $(DESTDIR)$(VARDIR)
	-mkdir -p $(DESTDIR)$(SHELLDIR)
	-rm -rf $(DESTDIR)$(FILE_AREA_VAR) $(DESTDIR)$(FILE_AREA_BONES) $(DESTDIR)$(FILE_AREA_SAVE)
	-rm -rf $(DESTDIR)$(FILE_AREA_LEVL) $(DESTDIR)$(FILE_AREA_SHARE) $(DESTDIR)$(FILE_AREA_UNSHARE)
	-rm -rf $(DESTDIR)$(FILE_AREA_DOC)
	-mkdir -p $(DESTDIR)$(FILE_AREA_VAR) $(DESTDIR)$(FILE_AREA_BONES) $(DESTDIR)$(FILE_AREA_SAVE)
	-mkdir -p $(DESTDIR)$(FILE_AREA_LEVL) $(DESTDIR)$(FILE_AREA_SHARE) $(DESTDIR)$(FILE_AREA_UNSHARE)
	-mkdir -p $(DESTDIR)$(FILE_AREA_DOC)
	-rmdir ./-p
	-$(CHOWN) $(GAMEUID) $(DESTDIR)$(FILE_AREA_VAR) $(DESTDIR)$(FILE_AREA_BONES) $(DESTDIR)$(FILE_AREA_SAVE) $(DESTDIR)$(FILE_AREA_LEVL)
	$(CHGRP) $(GAMEGRP) $(DESTDIR)$(FILE_AREA_VAR) $(DESTDIR)$(FILE_AREA_BONES) $(DESTDIR)$(FILE_AREA_SAVE) $(DESTDIR)$(FILE_AREA_LEVL)
	chmod $(VARDIRPERM) $(DESTDIR)$(FILE_AREA_VAR) $(DESTDIR)$(FILE_AREA_BONES) $(DESTDIR)$(FILE_AREA_SAVE) $(DESTDIR)$(FILE_AREA_LEVL)
	-$(CHOWN) $(GAMEUID) $(DESTDIR)$(FILE_AREA_SHARE) $(DESTDIR)$(FILE_AREA_UNSHARE)
	$(CHGRP) $(GAMEGRP) $(DESTDIR)$(FILE_AREA_SHARE) $(DESTDIR)$(FILE_AREA_UNSHARE)
	chmod $(DIRPERM) $(DESTDIR)$(FILE_AREA_SHARE) $(DESTDIR)$(FILE_AREA_UNSHARE)
# set up the game files
	( $(MAKE) dofiles )
# set up some additional files
	-( cd $(DESTDIR)$(FILE_AREA_VAR) ; touch perm record logfile xlogfile  )
	-( cd $(DESTDIR)$(FILE_AREA_VAR) ; $(CHOWN) $(GAMEUID) perm record logfile xlogfile  ; \
			$(CHGRP) $(GAMEGRP) perm record logfile xlogfile  ; \
			chmod $(VARFILEPERM) perm record logfile xlogfile  )
# and a reminder
	@echo You may also want to reinstall the man pages via the doc Makefile.


# 'make clean' removes all the .o files, but leaves around all the executables
# and compiled data files
clean:
	( cd src ; $(MAKE) clean )
	( cd util ; $(MAKE) clean )

# 'make spotless' returns the source tree to near-distribution condition.
# it removes .o files, executables, and compiled data files

=== src/Makefile ===
#	UnNetHack Makefile.
#       src/Makefile.  Generated from Makefile.src by configure.
#	SCCS Id: @(#)Makefile.src	3.4	2002/03/02


srcdir = .

SYSTEM = Sysunix
EXEEXT = 

SHELL=/bin/sh

LINK=$(CC)

# for UNIX systems
SYSUNIXSRC = $(srcdir)/../sys/share/ioctl.c $(srcdir)/../sys/share/unixtty.c \
	$(srcdir)/../sys/unix/unixmain.c $(srcdir)/../sys/unix/unixunix.c \
	$(srcdir)/../sys/unix/unixres.c
SYSUNIXOBJ = ioctl.o unixmain.o unixtty.o unixunix.o unixres.o
# for Microsoft Window systems
SYSMSWINSRC = $(srcdir)/../sys/winnt/nttty.c $(srcdir)/../sys/winnt/winnt.c \
	$(srcdir)/../sys/share/pcsys.c $(srcdir)/../sys/share/pcunix.c \
	$(srcdir)/../sys/share/pcmain.c $(srcdir)/../sys/share/random.c \
	$(srcdir)/../sys/share/nhlan.c $(srcdir)/../sys/winnt/ntsound.c
SYSMSWINOBJ = nttty.o winnt.o pcsys.o pcunix.o pcmain.o random.o nhlan.o ntsound.o
#
SYSSRC=${SYSUNIXSRC}
SYSOBJ=${SYSUNIXOBJ}

CC = gcc -DAUTOCONF
WINDRES = no

CFLAGS = -Wall -I../include -I$(srcdir)/../include -I/usr/include/ncursesw/ -Wno-format-security #-fbounds-check #-fprofile-arcs -ftest-coverage
LFLAGS =  #-fbounds-check

# Compile with PDCurses installed in a separate directory that doesn't
# conflict with the system curses/ncurses library
#CFLAGS = -O -I../include -I/usr/local/include/pdcurses
# Same as above, but for XCurses
#CFLAGS = -O -DXCURSES -I../include -I/usr/local/include/pdcurses


# Only used for the Gnome interface.
GNOMEINC=`gnome-config gnome --cflags` -I$(srcdir)/../win/gnome

# QT windowing system
QTLIBDIR=$(QTDIR)/lib
QTINCDIR=$(QTDIR)/include
QTBINDIR=$(QTDIR)/bin
KDELIBDIR=/usr/lib
KDEINCDIR=/usr/include/kde

CXXFLAGS = $(CFLAGS) -I. -I$(QTINCDIR)
CXX=g++

# files for a straight tty port using no native windowing system
WINTTYSRC = $(srcdir)/../win/tty/getline.c $(srcdir)/../win/tty/termcap.c $(srcdir)/../win/tty/topl.c \
	$(srcdir)/../win/tty/wintty.c 
WINTTYOBJ = getline.o termcap.o topl.o wintty.o 
#
# Files for curses interface
WINCURSESSRC = ../win/curses/cursmain.c ../win/curses/curswins.c \
	../win/curses/cursmisc.c ../win/curses/cursdial.c \
	../win/curses/cursstat.c ../win/curses/cursinit.c \
	../win/curses/cursmesg.c
WINCURSESOBJ = cursmain.o curswins.o cursmisc.o cursdial.o cursstat.o \
	cursinit.o cursmesg.o
#
# files for an X11 port
# (tile.c is included in the defn. for WINCSRC, below)
WINX11SRC = $(srcdir)/../win/X11/Window.c $(srcdir)/../win/X11/dialogs.c $(srcdir)/../win/X11/winX.c \
	$(srcdir)/../win/X11/winmap.c  $(srcdir)/../win/X11/winmenu.c $(srcdir)/../win/X11/winmesg.c \
	$(srcdir)/../win/X11/winmisc.c $(srcdir)/../win/X11/winstat.c $(srcdir)/../win/X11/wintext.c \
	$(srcdir)/../win/X11/winval.c
WINX11OBJ = Window.o dialogs.o winX.o winmap.o winmenu.o winmesg.o \
	winmisc.o winstat.o wintext.o winval.o nhwin.a
#
# Files for a Qt port
#
WINQTSRC = $(srcdir)/../win/Qt/qt_win.cpp $(srcdir)/../win/Qt/qt_clust.cpp $(srcdir)/../win/Qt/qttableview.cpp
WINQTOBJ = qt_win.o qt_clust.o qttableview.o nhwin.a
#
# Files for a Gnome port
#
WINGNOMESRC = $(srcdir)/../win/gnome/gnaskstr.c $(srcdir)/../win/gnome/gnbind.c \
      $(srcdir)/../win/gnome/gnglyph.c $(srcdir)/../win/gnome/gnmain.c $(srcdir)/../win/gnome/gnmap.c \
      $(srcdir)/../win/gnome/gnmenu.c $(srcdir)/../win/gnome/gnmesg.c $(srcdir)/../win/gnome/gnopts.c \
      $(srcdir)/../win/gnome/gnplayer.c $(srcdir)/../win/gnome/gnsignal.c \
      $(srcdir)/../win/gnome/gnstatus.c $(srcdir)/../win/gnome/gntext.c $(srcdir)/../win/gnome/gnyesno.c \
      $(srcdir)/../win/gnome/gnworn.c
WINGNOMEOBJ = gnaskstr.o gnbind.o gnglyph.o gnmain.o gnmap.o gnmenu.o \
      gnmesg.o gnopts.o gnplayer.o gnsignal.o gnstatus.o gntext.o \
      gnyesno.o gnworn.o nhwin.a
#
# Files for a Gem port
WINGEMSRC = $(srcdir)/../win/gem/wingem.c $(srcdir)/../win/gem/wingem1.c $(srcdir)/../win/gem/load_img.c \
	$(srcdir)/../win/gem/gr_rect.c
WINGEMOBJ = wingem.o wingem1.o load_img.o gr_rect.o nhwin.a
#
# Files for a BeOS InterfaceKit port -- not ready for prime time
WINBESRC =
WINBEOBJ =
#WINBESRC = $(srcdir)/../win/BeOS/winbe.cpp $(srcdir)/../win/BeOS/NHWindow.cpp \
#     $(srcdir)/../win/BeOS/NHMenuWindow.cpp $(srcdir)/../win/BeOS/NHMapWindow.cpp
#WINBEOBJ = winbe.o NHWindow.o NHMenuWindow.o NHMapWindow.o nhwin.a
#
# files for a native MS-Windows port
# (tile.c is included in the defn. for WINCSRC, below)
WINMSSRC = $(srcdir)/../win/win32/mswproc.c $(srcdir)/../win/win32/winhack.c \
	 $(srcdir)/../win/win32/mhdlg.c $(srcdir)/../win/win32/mhaskyn.c \
	 $(srcdir)/../win/win32/mhfont.c $(srcdir)/../win/win32/mhinput.c \
         $(srcdir)/../win/win32/mhmain.c $(srcdir)/../win/win32/mhmsgwnd.c \
	 $(srcdir)/../win/win32/mhsplash.c $(srcdir)/../win/win32/mhstatus.c \
	 $(srcdir)/../win/win32/mhtext.c $(srcdir)/../win/win32/mhmenu.c \
         $(srcdir)/../win/win32/mhmap.c $(srcdir)/../win/win32/mhrip.c
WINMSOBJ = mswproc.o winhack.o mhdlg.o mhaskyn.o mhfont.o mhinput.o mhmain.o \
	mhmsgwnd.o mhsplash.o mhstatus.o mhtext.o mhmenu.o mhmap.o mhrip.o \
	winres.o nhwin.a
WINMSCFLAGS=-I$(srcdir)/../win/win32 -D_WIN32_IE=0x0400

# files for a line oriented port for unit tests
WINDUMMYSRC = $(srcdir)/../win/dummy/dummy_graphics.c
WINDUMMYOBJ = dummy_graphics.o

WINSRC =  $(WINTTYSRC) $(WINCURSESSRC)
WINOBJ =  $(WINTTYOBJ) $(WINCURSESOBJ)
WINTTYLIB = -lncursesw
WINCURSESLIB = -lncursesw
WINX11LIB = -lXaw -lXmu -lXext -lXt -lX11

# libraries for Qt
WINQTLIB = -L$(QTLIBDIR) -lqt
#
# libraries for KDE (with Qt)
WINKDELIB = -lkdecore -lkdeui -lXext
#
# libraries for Gnome
WINGNOMELIB = -lgnomeui -lgnome -lart_lgpl -lgtk -lgdk -lpopt
#
# libraries for Gem port
WINGEMLIB = -le_gem -lgem
#
# libraries for BeOS
WINBELIB = -lbe
# libraries for native MS-Windows
WINMSLIB = -lcomctl32 -lgdi32

WINLIB =  $(WINTTYLIB) $(WINCURSESLIB)

LIBS =

# make UnNetHack
GAME     = unnethack$(EXEEXT)

RANDOBJ =


# used by `make depend' to reconstruct this Makefile; you shouldn't need this
AWK	= gawk

MAKEDEFS = ../util/makedefs

# timestamp files to reduce `make' overhead and shorten .o dependency lists
CONFIG_H = ../src/config.h-t
HACK_H	= ../src/hack.h-t

# all .c that are part of the main UnNetHack program and are not operating- or
# windowing-system specific
HACKCSRC = $(srcdir)/allmain.c $(srcdir)/alloc.c $(srcdir)/apply.c \
	$(srcdir)/artifact.c $(srcdir)/attrib.c $(srcdir)/ball.c \
	$(srcdir)/bones.c $(srcdir)/botl.c $(srcdir)/cmd.c $(srcdir)/dbridge.c \
	$(srcdir)/decl.c $(srcdir)/detect.c $(srcdir)/dig.c $(srcdir)/display.c\
	$(srcdir)/dlb.c $(srcdir)/do.c $(srcdir)/do_name.c $(srcdir)/do_wear.c \
	$(srcdir)/dog.c $(srcdir)/dogmove.c $(srcdir)/dokick.c \
	$(srcdir)/dothrow.c $(srcdir)/drawing.c $(srcdir)/dungeon.c \
	$(srcdir)/eat.c $(srcdir)/end.c $(srcdir)/engrave.c $(srcdir)/exper.c \
	$(srcdir)/explode.c $(srcdir)/extralev.c $(srcdir)/files.c \
	$(srcdir)/fountain.c $(srcdir)/hack.c $(srcdir)/hacklib.c \
	$(srcdir)/invent.c $(srcdir)/light.c $(srcdir)/lock.c $(srcdir)/mail.c \
	$(srcdir)/makemon.c $(srcdir)/mapglyph.c $(srcdir)/mcastu.c \
	$(srcdir)/mhitm.c $(srcdir)/mhitu.c $(srcdir)/minion.c \
	$(srcdir)/mklev.c $(srcdir)/mkmap.c $(srcdir)/mkmaze.c \
	$(srcdir)/mkobj.c $(srcdir)/mkroom.c $(srcdir)/mon.c \
	$(srcdir)/mondata.c $(srcdir)/monmove.c $(srcdir)/monst.c \
	$(srcdir)/mplayer.c $(srcdir)/mthrowu.c $(srcdir)/muse.c \
	$(srcdir)/music.c $(srcdir)/o_init.c $(srcdir)/objects.c \
	$(srcdir)/objnam.c $(srcdir)/options.c $(srcdir)/pager.c \
	$(srcdir)/pickup.c $(srcdir)/pline.c $(srcdir)/polyself.c \
	$(srcdir)/potion.c $(srcdir)/pray.c $(srcdir)/priest.c \
	$(srcdir)/quest.c $(srcdir)/questpgr.c $(srcdir)/read.c \
	$(srcdir)/rect.c $(srcdir)/region.c $(srcdir)/restore.c $(srcdir)/rip.c\
	$(srcdir)/rnd.c $(srcdir)/role.c $(srcdir)/rumors.c $(srcdir)/save.c \
	$(srcdir)/shk.c $(srcdir)/shknam.c $(srcdir)/sit.c $(srcdir)/sounds.c \
	$(srcdir)/sp_lev.c $(srcdir)/spell.c $(srcdir)/steal.c \
	$(srcdir)/steed.c $(srcdir)/teleport.c $(srcdir)/timeout.c \
	$(srcdir)/topten.c $(srcdir)/track.c $(srcdir)/trap.c \
	$(srcdir)/u_init.c $(srcdir)/uhitm.c $(srcdir)/vault.c \
	$(srcdir)/version.c $(srcdir)/vision.c $(srcdir)/weapon.c \
	$(srcdir)/were.c $(srcdir)/wield.c $(srcdir)/windows.c \
	$(srcdir)/wizard.c $(srcdir)/worm.c $(srcdir)/worn.c $(srcdir)/write.c \
	$(srcdir)/zap.c \
	$(srcdir)/dump.c $(srcdir)/tutorial.c \
	$(srcdir)/livelog.c

# all operating-system-dependent .c (for dependencies and such)
SYSCSRC = $(srcdir)/../sys/share/nhlan.c $(srcdir)/../sys/share/ioctl.c \
	$(srcdir)/../sys/share/pcmain.c $(srcdir)/../sys/share/pcsys.c \
	$(srcdir)/../sys/share/pctty.c $(srcdir)/../sys/share/pcunix.c \
	$(srcdir)/../sys/share/random.c $(srcdir)/../sys/share/unixtty.c \
	$(srcdir)/../sys/atari/tos.c $(srcdir)/../sys/be/bemain.c \
	$(srcdir)/../sys/unix/unixmain.c $(srcdir)/../sys/unix/unixres.c \
	$(srcdir)/../sys/unix/unixunix.c $(srcdir)/../sys/winnt/nttty.c \
	$(srcdir)/../sys/winnt/winnt.c

# generated source files (tile.c is handled separately)
GENCSRC = monstr.c vis_tab.c  #tile.c

# all windowing-system-dependent .c (for dependencies and such)
WINCSRC = $(WINTTYSRC) $(WINX11SRC) $(WINGNOMESRC) $(WINGEMSRC) \
	$(WINPROXYSRC) $(WINGLSRC) $(WINMSSRC) $(WINDUMMYSRC) tile.c
# all windowing-system-dependent .cpp (for dependencies and such)
WINCXXSRC = $(WINQTSRC) $(WINBESRC)

# .c files for this version (for date.h)
VERSOURCES = $(HACKCSRC) $(SYSSRC) $(WINSRC) $(GENCSRC)

# .c files for all versions using this Makefile (for lint and tags)
CSOURCES = $(HACKCSRC) $(SYSSRC) $(WINCSRC) $(GENCSRC)


# all .h files except date.h, onames.h, pm.h, and vis_tab.h which would
# cause dependency loops if run through "make depend"
# and dgn_comp.h, dgn_file.h, lev_comp.h, special level & dungeon files.
#
HACKINCL = align.h amiconf.h artifact.h artilist.h attrib.h beconf.h color.h \
	config.h config1.h coord.h decl.h def_os2.h display.h dlb.h dungeon.h \
	edog.h emin.h engrave.h epri.h eshk.h extern.h flag.h func_tab.h \
	global.h autoconf.h hack.h lev.h macconf.h mfndpos.h micro.h mkroom.h \
	monattk.h mondata.h monflag.h monst.h monsym.h obj.h objclass.h \
	os2conf.h patchlevel.h pcconf.h permonst.h prop.h rect.h region.h rm.h \
	sp_lev.h spell.h system.h tcap.h timeout.h tosconf.h tradstdc.h \
	trampoli.h trap.h unixconf.h vault.h vision.h vmsconf.h wintty.h \
	winX.h winprocs.h wintype.h you.h youprop.h

HSOURCES = $(HACKINCL) date.h onames.h pm.h vis_tab.h\
		lev_comp.h dgn_comp.h dgn_file.h

# the following .o's _must_ be made before any others (for makedefs)
FIRSTOBJ = monst.o objects.o alloc.o

HOBJ = $(FIRSTOBJ) allmain.o apply.o artifact.o attrib.o ball.o \
	bones.o botl.o cmd.o dbridge.o decl.o detect.o dig.o display.o dlb.o \
	do.o do_name.o do_wear.o dog.o dogmove.o dokick.o dothrow.o \
	drawing.o dump.o dungeon.o eat.o end.o engrave.o exper.o explode.o \
	extralev.o files.o fountain.o hack.o hacklib.o invent.o light.o \
	lock.o mail.o makemon.o mapglyph.o mcastu.o mhitm.o mhitu.o \
	minion.o mklev.o mkmap.o \
	mkmaze.o mkobj.o mkroom.o mon.o mondata.o monmove.o monstr.o \
	mplayer.o mthrowu.o muse.o music.o o_init.o objnam.o options.o \
	pager.o pickup.o pline.o polyself.o potion.o pray.o priest.o \
	quest.o questpgr.o read.o rect.o region.o restore.o rip.o rnd.o \
	role.o rumors.o save.o shk.o shknam.o sit.o sounds.o sp_lev.o spell.o \
	steal.o steed.o teleport.o timeout.o topten.o track.o trap.o tutorial.o \
	u_init.o uhitm.o unicode.o vault.o vision.o vis_tab.o weapon.o were.o wield.o \
	windows.o wizard.o worm.o worn.o write.o zap.o \
	$(RANDOBJ) $(SYSOBJ) $(WINOBJ) version.o \
	livelog.o
# the .o files from the HACKCSRC, SYSSRC, and WINSRC lists

$(GAME):	$(SYSTEM)
	@echo "$(GAME) is up to date."

Sysunix:	$(HOBJ) Makefile
	@echo "Loading ..."
	@$(LINK) $(LFLAGS) -o $(GAME) $(HOBJ) $(WINLIB) $(LIBS)
	@touch Sysunix

Syswinnt:	$(HOBJ)  Makefile
	@echo "Loading ..."
	@$(LINK) $(LFLAGS) -o $(GAME) $(HOBJ) $(WINLIB) $(LIBS)
	@touch Syswinnt

Sys3B2:	$(HOBJ) Makefile
	@echo "Loading ..."
	@$(LINK) $(LFLAGS) -o $(GAME) $(HOBJ) $(WINLIB) -lmalloc
	@touch Sys3B2

=== util/Makefile ===
#	Makefile for UnNetHack's utility programs.
#       util/Makefile.  Generated from Makefile.utl by configure.
#	SCCS Id: @(#)Makefile.utl	3.4	1997/04/19


srcdir=.

# newer makes predefine $(MAKE) to 'make' and do smarter processing of
# recursive make calls if $(MAKE) is used
# these makes allow $(MAKE) to be overridden by the environment if someone
# wants to (or has to) use something other than the standard make, so we do
# not want to unconditionally set $(MAKE) here
#
# unfortunately, some older makes do not predefine $(MAKE); if you have one of
# these, uncomment the following line
# (you will know that you have one if you get complaints about unable to
# execute things like 'foo.o')
# MAKE = make

EXEEXT = 
CC = gcc -DAUTOCONF

# if you are using gcc as your compiler,
#	uncomment the CC definition below if it's not in your environment
# CC = gcc
#
#	For Bull DPX/2 systems at B.O.S. 2.0 or higher use the following:
#
# CC = gcc -ansi -D_BULL_SOURCE -D_XOPEN_SOURCE -D_POSIX_SOURCE
# 
#	If you are using GCC 2.2.2 or higher on a DPX/2, just use:
#
# CC = gcc -ansi
#
#	For HP/UX 10.20 with GCC:
# CC = gcc -D_POSIX_SOURCE
#
# if your make doesn't define a default SHELL properly, you may need
#    the line below (Atari users will need a bourne work-alike)
# SHELL = /bin/sh
# for Atari
# SHELL=E:/GEMINI2/MUPFEL.TTP

# flags may have to be changed as required
# flags for 286 Xenix:
# CFLAGS = -Ml2t16 -O -LARGE -I../include -I$(srcdir)/../include
# LFLAGS = -Ml -F 4000 -SEG 512

# flags for 286 Microport SysV-AT
# CFLAGS = -DDUMB -Ml -I../include -I$(srcdir)/../include
# LFLAGS = -Ml

# flags for Atari GCC (3.2.1)
# CFLAGS = -O -I../include -I$(srcdir)/../include
# LFLAGS = -s
# flags for Atari GCC (3.3)
# CFLAGS = -mshort -O2 -I../include -I$(srcdir)/../include
# LFLAGS = -mshort -s

# flags for Apollos using their native cc
# (as long as it claims to be __STDC__ but isn't)
# CFLAGS = -DAPOLLO -O -I../include -I$(srcdir)/../include

# flags for AIX 3.1 cc on IBM RS/6000 to define
# a suitable subset of standard libraries
# (note that there is more info regarding the "-qchars=signed"
# switch in file Install.unx note 8)
# CFLAGS = -D_NO_PROTO -D_XOPEN_SOURCE -O -I../include -I$(srcdir)/../include -qchars=signed
# and for AIX 3.2:
# CFLAGS = -D_NO_PROTO -D_XOPEN_SOURCE -D_ALL_SOURCE -O -I../include -I$(srcdir)/../include -qchars=signed

# flags for A/UX 2.01 using native cc or c89
# gcc predefines AUX so that's not needed there
# CFLAGS = -ZS -D_POSIX_SOURCE -O -I../include -I$(srcdir)/../include -DAUX

# flags for IRIX 4.0.x using native cc
# SGI cc 3.10 will fail to compile makedefs with -O
# CFLAGS = -I../include -I$(srcdir)/../include -D__STDC__ -woff 100,293

# flags for Linux
#   compile normally
# CFLAGS = -O2 -fomit-frame-pointer -I../include -I$(srcdir)/../include
# LFLAGS = -L/usr/X11R6/lib
#   OR compile backwards compatible a.out format
# CFLAGS = -O2 -b i486-linuxaout -fomit-frame-pointer -I../include -I$(srcdir)/../include
# LFLAGS = -b i486-linuxaout -L/usr/X11R6/lib

# flags for BeOS using the command line
# remember to uncomment flex and bison below
#   BeOS on a Mac/BeBox:
#CC = mwcc
#CFLAGS = -I../include -I$(srcdir)/../include
#   BeOS on Intel:
# the default values are fine

# flags for debugging:
# CFLAGS = -g -I../include -I$(srcdir)/../include

CFLAGS = -O -I../include -I$(srcdir)/../include -I/usr/include/ncursesw/ -Wno-format-security
LFLAGS = 

LIBS =
 
# If you are cross-compiling, you must use this:
#OBJDIR = .
# otherwise, you can save a little bit of disk space with this:
OBJDIR = ../src

# yacc/lex programs to use to generate *_comp.h, *_lex.c, and *_yacc.c.
# if, instead of yacc/lex you have bison/flex, comment/uncomment the following.
# YACC     = yacc
# LEX      = lex
# YACC     = bison -y
# YACC     = byacc
# LEX      = flex
LEX      = flex
YACC     = bison -y
 
# these are the names of the output files from YACC/LEX. Under MS-DOS
# and similar systems, they may differ
YTABC = y.tab.c
YTABH = y.tab.h
LEXYYC = lex.yy.c
# LEXYYC = lex.yy.c
# YTABC = y_tab.c
# YTABH = y_tab.h
# LEXYYC = lexyy.c



# ----------------------------------------
#
# Nothing below this line should have to be changed.

# timestamps for primary header files, matching src/Makefile
CONFIG_H = ../src/config.h-t
HACK_H	 = ../src/hack.h-t

# utility .c files
MAKESRC = makedefs.c
SPLEVSRC = lev_yacc.c lev_lex.c lev_main.c
DGNCOMPSRC = dgn_yacc.c dgn_lex.c dgn_main.c
RECOVSRC = recover.c
DLBSRC = dlb_main.c
UTILSRCS = $(MAKESRC) panic.c $(SPLEVSRC) $(DGNCOMPSRC) $(RECOVSRC) $(DLBSRC)

# files that define all monsters and objects
CMONOBJ = $(srcdir)/../src/monst.c $(srcdir)/../src/objects.c
OMONOBJ = $(OBJDIR)/monst.o $(OBJDIR)/objects.o
# files that provide access to UnNetHack's names
CNAMING = $(srcdir)/../src/drawing.c $(srcdir)/../src/decl.c $(CMONOBJ)
ONAMING = $(OBJDIR)/drawing.o $(OBJDIR)/decl.o $(OMONOBJ)
# dynamic memory allocation
CALLOC = $(srcdir)/../src/alloc.c panic.c
OALLOC = $(OBJDIR)/alloc.o panic.o

# object files for makedefs
MAKEOBJS = makedefs.o $(OMONOBJ) $(OALLOC)

# object files for special levels compiler
SPLEVOBJS = lev_yacc.o lev_lex.o lev_main.o $(OALLOC) $(ONAMING)

# object files for dungeon compiler
DGNCOMPOBJS = dgn_yacc.o dgn_lex.o dgn_main.o $(OALLOC)

# object files for recovery utility
RECOVOBJS = recover.o

# object files for the data librarian
DLBOBJS = dlb_main.o $(OBJDIR)/dlb.o $(OALLOC)

# flags for creating distribution versions of sys/share/*_lex.c, using
# a more portable flex skeleton, which is not included in the distribution.
# hopefully keeping this out of the section to be edited will keep too
# many people from being confused by it...
# FLEXDIST = -L -S../sys/share/flexhack.skl
FLEXDIST =
#
# flags for creating distribution versions of sys/share/*_yacc.c, without
# line numbers so patches from version to version are practical
# YACCDIST = -l
YACCDIST =

#	dependencies for makedefs
#
makedefs:	$(MAKEOBJS)
	$(CC) $(LFLAGS) -o makedefs $(MAKEOBJS)

makedefs.o: makedefs.c $(CONFIG_H) $(srcdir)/../include/permonst.h \
		$(srcdir)/../include/objclass.h $(srcdir)/../include/monsym.h \
		$(srcdir)/../include/artilist.h $(srcdir)/../include/dungeon.h $(srcdir)/../include/obj.h \
		$(srcdir)/../include/monst.h $(srcdir)/../include/you.h $(srcdir)/../include/flag.h \
		$(srcdir)/../include/dlb.h $(srcdir)/../include/patchlevel.h $(srcdir)/../include/qtext.h

../include/onames.h: makedefs
	./makedefs -o
../include/pm.h: makedefs
	./makedefs -p
../src/monstr.c: makedefs
	./makedefs -m
../include/vis_tab.h: makedefs
	./makedefs -z
# makedefs -z makes both vis_tab.h and vis_tab.c, but writes the .h first
../src/vis_tab.c: ../include/vis_tab.h

lintdefs:
	@lint -axbh -I../include -I$(srcdir)/../include -DLINT $(MAKESRC) $(CMONOBJ) | sed '/_flsbuf/d'


# we defer this makedefs call to the src Makefile, since it knows all about
# the main src and include files date.h is a timestamp for
../include/date.h::
	@( cd ../src ; $(MAKE) ../include/date.h )

# support code used by several of the utility programs (but not makedefs)
panic.o:     panic.c $(CONFIG_H)


#	dependencies for lev_comp
#
lev_comp:  $(SPLEVOBJS)
	$(CC) $(LFLAGS) -o lev_comp $(SPLEVOBJS) $(LIBS)

lev_yacc.o:  lev_yacc.c $(HACK_H) ../include/sp_lev.h
lev_main.o:  lev_main.c $(HACK_H) ../include/sp_lev.h ../include/tcap.h \
		../include/date.h ../include/artilist.h

# see lev_comp.l for WEIRD_LEX discussion
# egrep will return failure if it doesn't find anything, but we know there
# is one "_cplusplus" inside a comment
lev_lex.o:   lev_lex.c $(HACK_H) ../include/lev_comp.h ../include/sp_lev.h
	@echo $(CC) -c $(CFLAGS) lev_lex.c
	@$(CC) -c $(CFLAGS) -DWEIRD_LEX=`egrep -c _cplusplus lev_lex.c` lev_lex.c

../include/lev_comp.h: lev_yacc.c

lev_yacc.c: $(srcdir)/lev_comp.y
	$(YACC) $(YACCDIST) -d $(srcdir)/lev_comp.y
	mv $(YTABC) lev_yacc.c
	mv $(YTABH) ../include/lev_comp.h

lev_lex.c: $(srcdir)/lev_comp.l
	$(LEX) $(FLEXDIST) $(srcdir)/lev_comp.l
	mv $(LEXYYC) lev_lex.c

# with all of extern.h's functions to complain about, we drown in
# 'defined but not used' without -u
lintlev:
	@lint -axhu -I../include -I$(srcdir)/../include -DLINT $(SPLEVSRC) $(CALLOC) $(CNAMING) | sed '/_flsbuf/d'


#	dependencies for dgn_comp
#
dgn_comp:  $(DGNCOMPOBJS)
	$(CC) $(LFLAGS) -o dgn_comp $(DGNCOMPOBJS) $(LIBS)

dgn_yacc.o:  dgn_yacc.c $(CONFIG_H) ../include/dgn_file.h ../include/date.h
dgn_main.o:  dgn_main.c $(CONFIG_H) ../include/dlb.h

# see dgn_comp.l for WEIRD_LEX discussion
dgn_lex.o:   dgn_lex.c $(CONFIG.H) ../include/dgn_comp.h ../include/dgn_file.h
	@echo $(CC) -c $(CFLAGS) dgn_lex.c
	@$(CC) -c $(CFLAGS) -DWEIRD_LEX=`egrep -c _cplusplus dgn_lex.c` dgn_lex.c


../include/dgn_comp.h: dgn_yacc.c

dgn_yacc.c: $(srcdir)/dgn_comp.y
	$(YACC) $(YACCDIST) -d $(srcdir)/dgn_comp.y
	mv $(YTABC) dgn_yacc.c
	mv $(YTABH) ../include/dgn_comp.h

dgn_lex.c: $(srcdir)/dgn_comp.l
	$(LEX) $(FLEXDIST) $(srcdir)/dgn_comp.l
	mv $(LEXYYC) dgn_lex.c

# with all of extern.h's functions to complain about, we drown in
# 'defined but not used' without -u
lintdgn:
	@lint -axhu -I../include -I$(srcdir)/../include -DLINT $(DGNCOMPSRC) $(CALLOC) | sed '/_flsbuf/d'


#	dependencies for recover
#
recover$(EXEEXT): $(RECOVOBJS)
	$(CC) $(LFLAGS) -o recover$(EXEEXT) $(RECOVOBJS) $(LIBS)

recover.o: recover.c $(CONFIG_H) ../include/date.h


#	dependencies for dlb
#
dlb:	$(DLBOBJS)
	$(CC) $(LFLAGS) -o dlb $(DLBOBJS) $(LIBS)

dlb_main.o: dlb_main.c $(CONFIG_H) ../include/dlb.h ../include/date.h
	$(CC) $(CFLAGS) -c $(srcdir)/dlb_main.c


#	dependencies for uudecode
#
uudecode$(EXEEXT): uudecode.o
	$(CC) $(LFLAGS) -o $@ uudecode.o

uudecode.o: $(srcdir)/../sys/share/uudecode.c
	$(CC) $(CFLAGS) -c $(srcdir)/../sys/share/uudecode.c


#	dependencies for tile utilities
#
TEXT_IO = tiletext.o tiletxt.o $(ONAMING)
GIFREADERS = gifread.o $(OALLOC)
PPMWRITERS = ppmwrite.o $(OALLOC)

tileutils: tilemap gif2txt txt2ppm tile2x11

gif2txt: $(GIFREADERS) $(TEXT_IO)
	$(CC) $(LFLAGS) -o gif2txt $(GIFREADERS) $(TEXT_IO) $(LIBS)
txt2ppm: $(PPMWRITERS) $(TEXT_IO)
	$(CC) $(LFLAGS) -o txt2ppm $(PPMWRITERS) $(TEXT_IO) $(LIBS)

tile2x11: tile2x11.o $(TEXT_IO)
	$(CC) $(LFLAGS) -o tile2x11 tile2x11.o $(TEXT_IO) $(LIBS)

tile2img.ttp: tile2img.o bitmfile.o $(TEXT_IO)
	$(CC) $(LFLAGS) -o tile2img.ttp tile2img.o bitmfile.o $(TEXT_IO) $(LIBS)

tile2bmp$(EXEEXT): tile2bmp.o $(TEXT_IO)
	$(CC) $(LFLAGS) -o $@ tile2bmp.o $(TEXT_IO)

xpm2img.ttp: xpm2img.o bitmfile.o
	$(CC) $(LFLAGS) -o xpm2img.ttp xpm2img.o bitmfile.o $(LIBS)

tile2beos: tile2beos.o $(TEXT_IO)
	$(CC) $(LFLAGS) -o tile2beos tile2beos.o $(TEXT_IO) -lbe

tilemap: $(srcdir)/../win/share/tilemap.c $(HACK_H)
	$(CC) $(CFLAGS) $(LFLAGS) -o tilemap $(srcdir)/../win/share/tilemap.c $(LIBS)
$(srcdir)/../src/tile.c: tilemap
	./tilemap
#../include/tile.h: ../win/share/tile.h tilemap
#	./tilemap

../include/tile.h: ../win/share/tile.h tilemap
	./tilemap
#	cp ../win/share/tile.h ../include/tile.h

tiletext.o: $(srcdir)/../win/share/tiletext.c $(CONFIG_H) ../include/tile.h
	$(CC) $(CFLAGS) -c $(srcdir)/../win/share/tiletext.c
tiletxt.o: $(srcdir)/../win/share/tilemap.c $(HACK_H)
	$(CC) $(CFLAGS) -c -DTILETEXT $(srcdir)/../win/share/tilemap.c
	mv tilemap.o tiletxt.o

gifread.o: $(srcdir)/../win/share/gifread.c $(CONFIG_H) ../include/tile.h
	$(CC) $(CFLAGS) -c $(srcdir)/../win/share/gifread.c
ppmwrite.o: $(srcdir)/../win/share/ppmwrite.c $(CONFIG_H) ../include/tile.h
	$(CC) $(CFLAGS) -c $(srcdir)/../win/share/ppmwrite.c

tile2bmp.o: $(srcdir)/../win/share/tile2bmp.c $(HACK_H) ../include/tile.h
	$(CC) $(CFLAGS) -c $(srcdir)/../win/share/tile2bmp.c

tile2x11.o: $(srcdir)/../win/X11/tile2x11.c $(HACK_H) ../include/tile.h \
						../include/tile2x11.h
	$(CC) $(CFLAGS) -c $(srcdir)/../win/X11/tile2x11.c

tile2img.o: $(srcdir)/../win/gem/tile2img.c $(HACK_H) ../include/tile.h \
						../include/bitmfile.h
	$(CC) $(CFLAGS) -c $(srcdir)/../win/gem/tile2img.c

=== debian/changelog ===
unnethack (3.5.3-21) unstable; urgency=low
  
  * First release

 -- Ivan Tkatchev <tkatchev@gmail.com>  Sat, 04 Sep 2010 15:57:34 +0400

=== debian/control ===
Source: unnethack
Section: user/games
Priority: extra
Maintainer: Ivan Tkatchev <tkatchev@gmail.com>
Build-Depends: quilt, debhelper (>= 7), libncursesw5-dev
Standards-Version: 3.8.3
Homepage: http://sourceforge.net/projects/unnethack

Package: unnethack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: UnNethack is a variant of nethack, with various UI, balance and gameplay fixes. 
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1847
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAJ+klEQVR42sVa
 C1CU1xkVLcFHNFEeBtFobDQPNYoQaW2jIggmlcQ0SKKkoVpEJcbSqmDkFaNA
 5OGLXYnyWFRgEYUmRrFRB2tCimGcwQnaoRZkUIaHioMKqAim5+uc7Vz+wYns
 ovlnziz8u/vf73z3fI977/bp0/tXX8AasAEGAYOBIcBQwBaw4+tQ3n8SGAA8
 AfTr8zNeVjTgCRolxjkAI4GxwHjgZeJF/i/3nUhqCIn8gs96rFdfGi7eHkaj
 xEgXYBbwOvAW8A7gB/gC83l/BjCZZOxJxIbPfCyXeGzApUuXXrt582ZsW1tb
 UXt7e01HR0fL/fv3O/F6G1cTrqqysrKixMTEVHw+FvgUWA98CPgD3sAU4FnK
 q/+jJmEVFRVlDeMWd3Z2lv/YgwtkL0ZEROThGUJGB2wG1gALgdeAX5LEgEdF
 wqqlpeUVGF72o5nXvXv37uTm5h7BszIAA/A5sAkIBGYDz1OONr0eE5CFH2y4
 rTUKs9H8A659+/adCgkJ+XL27NkZHh4e26OjoxNPnTq1BzLqQlgklp+fb8Qj
 U4BMEvkM+BNnYhRjwro3jV+MsTtVQ+7evdt87NixQkdHRzEmH9gHbAc+BpYw
 YOeIUadPn16KZ1xTZuLWhg0bYvl5A2dE4uM9wJmZrHekhIFfx5gdqvHXr1//
 V0BAwE68LcYX0JPixWBmnunAJEpitKTV4uJiN8jv/ySuXbt2EvdDSEK+rwdW
 A17MTk8xWZh/YRwnoElj/BkXF5cEvJ0D/A3YywwTSI9PptHDqWcJzKflFXJa
 oEipQ6/XC+F1jAWZiRhgEZ9hyzRtfixgkELVeKTLKi8vr0/osS+AXCARWAZ4
 AhOAEYrRT5OEqRoPh3xKTc+7ePGint9NJAGZjRWMBSdWdStzve+tDb709HTx
 UDI1X0DPiQzeoGRU44dRy6MopZeAiXV1dTGmZ6KGfId7AdS/xMEuzshcymiI
 2TLC80tUAvX19YW4Ld7PovezOLDkcVcaOkzxuBNnZDpn502pykajMcT0zDt3
 7tTh3nJK0EB8wgTwAp1hbY7xbqrxCL7W4ODgv+CtHYr39ayoHuxx7K9cueKN
 7LQHgV8p3wHakGbra2tr/4nUKQUsIigoKFbJRq24F81ZzWVcxbH1mGAJAb1K
 AMF3gunRpP0cFiAJONesrKyXYUzeTxUyyKfa398/Xb2H7+8G9gNH6JgkPneS
 JQTq1UGOHz++kZ7JZeYRb/5VtK/T6SQ9nn3YaowsVqchIDN6HPgWKOQs/4GZ
 aBgzUY+Mf1EdAHJosre3D+KDDxLbALk3Azr+ViO32+fOnStE37N32rRpOaGh
 oQWlpaXFmKG73RHi874BSoFjlGYAmzxbcwgEqgPcunWrhN7eRe8bGXTv19TU
 xGrI3kpNTRVpbWGQ51Df6wwGw8fyfjcEdtPwEoXAH1mRzSKwQx0AAZjLFthA
 AnuAKBSzd2BQFznA01uVlLifUoti6zwLeX91NwSi6ZQTjINkzoDZBL5WB0Af
 E6+kTyGQBqyFsRvUz0FKlWwltjFWjAzIZcxUUgdGaNtwFq7tfLYEsTjhA0sI
 nFMHyMvLW8cSb+p7REqrrl69+oX6uaqqKpmhUEriIGdMvPsuV2lSF4YizYZr
 CPjSQXs5RiKD2OwYuKoOgCwj+o+nJArYBgcjv1eonzt69GgE5bKHmSWVzdkb
 XGrK0vFJxJS7hoCsyqTG7OR3ZaHzviUE2tQBwsLCPqQU8miYBNlytT2WKzIy
 0lRRs/k5IbqSC5WxTIn90YWO0BCYwWq8lfKMs5RAl77f3d19CbPKARomy8Fl
 6I26pEVPT8/F9J6REtLRsJnAGPZHNpcvX+6vIfAbdrLxlOcmBr3ZBO6pA7i5
 uS1RZuAgs0SQlsC8efNMBHJIVktAqqrN+fPnB2kITCeBzSQQYymBLrkaCxcp
 WAmMAROBZVoJoXAt5+DZJLCTEvLggl2MGfAACa2gk0y7F/6WZKFadYCkpKRV
 XG0ZaZjEwAptEBcWFkYyiDP5ud0M4t9xY0sWOEOam5s9NATmMoh1zFymGHDm
 GqLHBErVAQ4dOhTO4pRFwyQ4P9KmURSpTKbRXZRbBtOorHNfZbttC+IRGgIL
 +DkDZy+eaXQqCdj0lECXrrK8vFwKUwQHOMBpDkOB26gpZP9RClkOCScyDrzY
 XY56QCHbygSRz4TxAWuHvTkEuhSahoYGyf1rKYkDpgI1ZcqU9xAHXbrWkpKS
 LSxKGSSxi7ISgzwuXLjQXSthqvJ/B75iVQ6whMBczb5PBYMxmYGcRZ0GoPpu
 1jRzN1NSUjYxIDNZmKSLDUOTt+4BzZyQPAT8g72QxQQGyraP2iGHh4d/RG1m
 s8/ZQbl4ojX4TtNOt0F2R9avX29wdXXNXLNmTS76pm9kV+4B7XQ2vV9EIkmM
 AWezCHA3oktDV1FRkcY4ULtM6VB94+LiZsG4Hx52QXPjxo16DYG9lOaXJBPD
 /mmyWVmIs7BQswtX4+Dg8GfKyMhduDhuB87U6/WvIogLfsp4ZK6awMDAzzUE
 4hnEyfS+9F7z2L3amruktAEaNQEqstlIXRtZqMK4/y+7Es9VV1e/hZjJgtar
 RUqyOgOxhvr6+u9RJ9K5ZRKmIbCUmWolM5J4/9es3hZtq6zW7Cw3+Pj4rKWn
 sknkMy4tvZkmZZ/fkZC/J7JVkB07H+D3xJs86PBkq+HOii2Yxn0kO54XmL2t
 aINYqNSk1JNMi+kkoaZJd1bckdzQciCRMdzjETKvEBPZYkuL8Ry71eeJUTR+
 oMXnZ/D6TNmUU0mcPXs2l7o1MBaSueWyiH2NSsKer8OV1+HKe7YK7NhyD6bn
 e+fwDzqO1Gwx3j9z5kweK2YmsY3x4E9ZONObI2mwnXJSqTVaPb0cyKzTqyc0
 ViBh0GaUmpqa4jlz5uygnDJIIpyt8XzOhrMildGMCxNGK/eeUY6Xev/YNTo6
 ui8yS1o3pzNNRUVFR9BWpHI1pWMeX81DDl8uKSU+fsuAns5FjOl/F8aII+Xz
 yM6N+yElrtIuZORqb29vqaysLD98+PCJhISE/X5+fvpx48bFYjUXHhUVFYn7
 W9AHFbS2tlYiHadwlgJJcgFna7xZ/X9Pj1cbGxsnIbhPmnvQh5rwby5aYpjB
 VlJyzoyX/o/60Pt/Z8RY23pjRr7CjNzuCQHEU4evr28Kq66sM2TB9Db7/8dC
 oA91KgM9lZaWNhZkljY1NRkgke/RdtQiXlrlCEkORTBbbbjfCM+fLysr+1qn
 0+1kXxXK7flFPNkfb9Zmbi/8wGMQM4ip+r7E1mIGFzI+bDfe5WHIQu7/z+f7
 v2KmeobPeuw//uinIWLPo6Yx9OoEdpZTmXGm8n+5P46V14EZyPrn+NGH6Vcr
 1szjg5UzMjvq2omGPstXJ6XAmarvQ//Y47+LM6U+2BnVBAAAAABJRU5ErkJg
 gg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

TARGET  := $(CURDIR)/debian/unnethack

include /usr/share/quilt/quilt.make

build: build-stamp

build-stamp: $(QUILT_STAMPFN)
	dh_testdir

	# compile the package.
	./configure --enable-curses-graphics --with-compression=no --prefix=/opt/unnethack CFLAGS=-I/usr/include/ncursesw

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# clean up after the build process.
	make clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	DESTDIR=$(TARGET) make install 
	#mkdir -p $(TARGET)/opt/unnethack
	mkdir -p $(TARGET)/home/user
	mkdir -p $(TARGET)/usr/bin
	mkdir -p $(TARGET)/usr/share/applications/hildon
	mkdir -p $(TARGET)/usr/share/icons/hicolor/48x48/apps
	mkdir -p $(TARGET)/etc/terminfo/x
	mkdir -p $(TARGET)/usr/share/terminfo/x
	#cp -rfp /opt/unnethack/* $(TARGET)/opt/unnethack
	#chown -R games:bin $(TARGET)/opt/unnethack
	#chmod +s $(TARGET)/opt/unnethack/unnethackdir/unnethack
	install debian/unnethackrc $(TARGET)/home/user/.unnethackrc
	chown user:users $(TARGET)/home/user/.unnethackrc
	ln -s /opt/unnethack/bin/unnethack $(TARGET)/usr/bin/unnethack
	chmod +x $(TARGET)/usr/bin/unnethack
	cp debian/xterm-256color $(TARGET)/etc/terminfo/x/
	ln -s $(TARGET)/etc/terminfo/x/xterm-256color $(TARGET)/usr/share/terminfo/x/xterm-256color
	cp debian/unnethack.desktop $(TARGET)/usr/share/applications/hildon/
	cp debian/unnethack.png $(TARGET)/usr/share/icons/hicolor/48x48/apps/

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_lintian
	dh_installman
	dh_link
	dh_strip
	dh_compress
#	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l"$(TARGET)/opt/unnethack/bin"
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
